@echo off

if "%~1" == "" (
    echo Usage: %0 input_csv_file
    exit /b 1
)

set "csv_file=%~1"

if not exist "%csv_file%" (
    echo Error: Input CSV file does not exist.
    exit /b 1
)

for /f "tokens=1,2 delims=," %%a in (%csv_file%) do (
    echo "%%a"
    copy "%%a" "%%b"
)

echo File copy completed.

pause
